# class ALCAudioContext

#### package lime.media

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`ALL_ATTRIBUTES:Int = 0x1003`

###

`ALL_DEVICES_SPECIFIER:Int = 0x1013`

###

`ATTRIBUTES_SIZE:Int = 0x1002`

###

`DEFAULT_ALL_DEVICES_SPECIFIER:Int = 0x1012`

###

`DEFAULT_DEVICE_SPECIFIER:Int = 0x1004`

###

`DEVICE_SPECIFIER:Int = 0x1005`

###

`ENUMERATE_ALL_EXT:Int = 1`

###

`EXTENSIONS:Int = 0x1006`

###

`FALSE:Int = 0`

###

`FREQUENCY:Int = 0x1007`

###

`INVALID_CONTEXT:Int = 0xA002`

###

`INVALID_DEVICE:Int = 0xA001`

###

`INVALID_ENUM:Int = 0xA003`

###

`INVALID_VALUE:Int = 0xA004`

###

`MONO_SOURCES:Int = 0x1010`

###

`NO_ERROR:Int = 0`

###

`OUT_OF_MEMORY:Int = 0xA005`

###

`REFRESH:Int = 0x1008`

###

`STEREO_SOURCES:Int = 0x1011`

###

`SYNC:Int = 0x1009`

###

`TRUE:Int = 1`

### Methods

###

`closeDevice (device:ALDevice):Bool`

###

`createContext (device:ALDevice, ?attrlist:Array<Int>):ALContext`

###

`destroyContext (context:ALContext):Void`

###

`getContextsDevice (context:ALContext):ALDevice`

###

`getCurrentContext ():ALContext`

###

`getError (device:ALDevice):Int`

###

`getErrorString (device:ALDevice):String`

###

`getIntegerv (device:ALDevice, param:Int, count:Int = 1):Array<Int>`

###

`getString (device:ALDevice, param:Int):String`

###

`makeContextCurrent (context:ALContext):Bool`

###

`openDevice (?deviceName:String):ALDevice`

###

`pauseDevice (device:ALDevice):Void`

###

`processContext (context:ALContext):Void`

###

`resumeDevice (device:ALDevice):Void`

###

`suspendContext (context:ALContext):Void`